<?php
require_once 'config.php';
date_default_timezone_set('america/sao_paulo');

$pasta = 'vendas_bkp/';
// tenta pegar do config.php
if (defined('DIAS_LIMPEZA_BKP') && is_numeric(DIAS_LIMPEZA_BKP) && DIAS_LIMPEZA_BKP > 0) {
  $dias = (int) DIAS_LIMPEZA_BKP;
} else {
  $dias = 30; // padrão
}
// criação da pasta de backups de venda
if (!is_dir($pasta)) {
  mkdir($pasta, 0777, true);
}

$diretorio = dir($pasta);

// varrer registros e deletar caso tiver registros x dias atrás
while ($arquivo = $diretorio->read()) {
  if (($arquivo !== '.') and ($arquivo !== '..')) {
    $dataArquivo = date("Y-m-d H:i:s", filemtime($pasta . $arquivo));
    $hoje = date("Y-m-d H:i:s");
    $excluirAte = date('Y-m-d 00:00:01', strtotime("-".$dias." day", strtotime($hoje)));
    if ($dataArquivo < $excluirAte) {
      unlink($pasta . $arquivo);
    }
  }
}
$diretorio->close();
